"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
# Description

This will remove empty lines of selected range
# TODO

 * dont remove empty lines that are inside a stringtemplate

*/
exports.removeEmptyLines = {
    name: 'removeEmptyLines',
    config: {},
    predicate: (options) => {
        if (!options.positionOrRange || !options.positionOrRange.pos) {
            return false;
        }
        const range = options.positionOrRange;
        const lineAndChar1 = options.sourceFile.getLineAndCharacterOfPosition(range.pos);
        const lineAndChar2 = options.sourceFile.getLineAndCharacterOfPosition(range.end);
        if (lineAndChar2.line - lineAndChar1.line > 2) {
            return true;
        }
        return false;
    },
    description: (options) => `Remove selection's empty lines`,
    apply: (options) => {
        if (!options.positionOrRange || !options.positionOrRange.pos) {
            return;
        }
        const range = options.positionOrRange;
        const text = options.simpleNode.getSourceFile().getFullText().substring(range.pos, range.end);
        options.simpleNode.getSourceFile().replaceText([range.pos, range.end], text.replace(/\s*\n\r\s*/gm, '\n\r').replace(/\s*\n\s*/gm, '\n'));
    }
};
//# sourceMappingURL=removeEmptyLines.js.map